apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "josh rotenberg" <joshrotenb...@gmail.com>
Subject Re: [PATCH] APR-Util and Berkeley DB 4.6
Date Wed, 29 Aug 2007 04:11:55 GMT
Sorry, I was looking at this but I had a few issues and then got pulled away.

I just tried again on Mac OS X 10.4.10 with a new install of Berkeley
DB 4.6.19 and both a freshly untarred apr-1.2.8 and the trunk (each
with its own correct patch as per the second set with a different
patch for each). In both cases, the patch applied cleanly, and after
running buildconf, the db46 options showed up in configure --help, and
configuring like so:

 ./configure --with-apr=$HOME
--with-berkeley-db=/usr/local/BerkeleyDB.4.6 --with-dbm=db46

worked as expected, and the make seems to have not encountered any errors.

I had a few issues earlier on Linux, but I'm not convinced they had
anything to do with this patch in particular (screwy box has
problems).

A late +1.


Josh

On 8/28/07, William A. Rowe, Jr. <wrowe@rowe-clan.net> wrote:
> William A. Rowe, Jr. wrote:
> > Arfrever Frehtes Taifersar Arahesis wrote:
> >> 2007-08-26 16:49:45 Arfrever Frehtes Taifersar Arahesis napisał(a):
> >>> 2007-08-24 17:11:30 Arfrever Frehtes Taifersar Arahesis napisał(a):
> >>>> APR-Util currently can't be built with Berkeley DB 4.6.
> >>>> I'm attaching a patch which fixes this bug.
> >>> Without this patch configure script fails with Berkeley DB 4.6.
> >> I'm attaching this patch again.
> >> Please backport this simple change to 1.2.x before tagging.
> >
> > If someone has 4.6 installed, they'll test and commit, hopefully today
> > before I tag.  I'll be hitting apr-util after apr, at least.
>
> Ok, as I mentioned if there was anyone willing to review your patch today
> I'd hold off to slip that in.  As none of our devs with BDB 4.6 had a chance
> to review this (or perhaps encountered problems and kept quiet so far) I'm
> going to roll off apr-util.
>
> One trouble with the current brain-dead approach is that the configure
> system is dead-ended on specific version numbers.  That's just broken, and
> when that issue is fixed (without running two dozen slow configure tests
> to reach legacy versions) I'll sure support pushing out a new apr-util.
>
> Bill
>
Mime
View raw message